#
# spec file for package emacs-flim
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           emacs-flim
Version:        1.14.9
Release:        lp150.1.3
Summary:        An Emacs Library for MIME
License:        GPL-2.0+
Group:          Productivity/Editors/Emacs
Url:            http://git.chise.org/elisp/flim
Source:         http://git.chise.org/elisp/dist/flim/flim-1.14/flim-%{version}.tar.gz
Patch:          flim-encoding-fix.diff
BuildRequires:  emacs-apel >= 10.7
BuildRequires:  emacs-nox
Requires:       emacs
Requires:       emacs-apel
Requires:       emacs_program
Provides:       flim = %{version}
Obsoletes:      flim <= %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
For coding and decoding MIME messages.

%prep
%setup -q -n flim-%{version}
%patch
iconv -fiso2022jp -tutf-8 README.ja > README.ja.new
mv README.ja.new README.ja

%build
make %{?_smp_mflags} EMACS=emacs \
  PREFIX=%{_prefix} \
  VERSION_SPECIFIC_LISPDIR=%{_datadir}/emacs/site-lisp/emu

%install
make install EMACS=emacs  \
  PREFIX=%{buildroot}%{_prefix} \
  VERSION_SPECIFIC_LISPDIR=%{_datadir}/emacs/site-lisp/emu
# make install.man
# Already part of Emacs
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/smtpmail.el*
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/sha1.el*
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/hex-util.el*
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/md4.el*
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/hmac-def.el*
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/hmac-md5.el*
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/sasl.el*
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/sasl-cram.el*
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/sasl-digest.el*
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/sasl-ntlm.el*
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/flim/ntlm.el*

%files
%defattr(-,root,root)
%doc README.en README.ja ChangeLog NEWS
%{_datadir}/emacs/site-lisp/flim

%changelog
* Fri Jul 10 2015 i@marguerite.su
- fix URL
* Thu Jul  9 2015 i@marguerite.su
- rename to emacs-flim
- clean specfile
* Fri Oct  5 2012 schwab@linux-m68k.org
- Remove more files already part of Emacs
- Specfile cleanup
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Wed Aug 19 2009 tiwai@suse.de
- updated to version 1.14.9
  required for new WL and emacs23
- fixed file encoding at saving files
* Mon Jul  9 2007 schwab@suse.de
- Remove sha1.el and hex-util.el, already in Emacs.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Thu Oct 21 2004 ke@suse.de
- Update to version 1.14.7; remove obsolete security patch [#47473].
* Mon May 24 2004 ke@suse.de
- Apply security patch provided by Matt Zimmerman to fix insecure
  temporary file [DSA-500-1 / CAN-2004-0422].
* Mon May 24 2004 ke@suse.de
- Update to version 1.14.6.
* Mon Jun 23 2003 schwab@suse.de
- Package is noarch.
- Remove smtpmail.el, already included in Emacs.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Mar 20 2001 kukuk@suse.de
- Fix requires (emacs-nox -> emacs_program)
* Mon Mar 19 2001 ke@suse.de
- Update to version 1.14.2 [#6736].
- Remove LC_CTYPE=ISO-8859-1 and EMACS_UNIBYTE=1.
- Use RPM macros.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Thu Apr 15 1999 werner@suse.de
- Add export LC_CTYPE=ISO-8859-1 and export EMACS_UNIBYTE=1
  to build *and* install section
* Sun Sep  6 1998 ke@suse.de
- initial package: version 1.9.1.
